Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0020875
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformmajorhave not tried2012-06-26 17:132012-06-30 05:10
ReporterjonalegriaesarteView Statuspublic 
Assigned ToAugustoMauch 
PriorityimmediateResolutionfixedFixed in Version3.0MP13
StatusclosedFix in branchpiFixed in SCM revision641721f42d6e
ProjectionnoneETAnoneTarget Version3.0MP13
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product Version3.0MP12SCM revision 
Review Assigned To
Web browser
ModulesCore
Regression levelProduction - QA Approved
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency Packyes
Summary

0020875: The audit shows the user id instead of the user name

DescriptionThe audit shows the user id instead of the user name
Steps To Reproduce- Sales order
- Audit section
- The user id appears instead of the user name
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0019843 closedAugustoMauch After saving newly created recrod, the 'Audit' section of form view shows uuid for created by & updated by 

-  Notes
(0050102)
alostale (developer)
2012-06-26 17:24
edited on: 2012-06-26 17:35

failing in mp12, working in mp11

(0050109)
AugustoMauch (developer)
2012-06-26 23:09

This issue is very similar to issue 19843 (https://issues.openbravo.com/view.php?id=19843 [^]). In that case, the id was only displayed after saving a new row, if an existing one was opened the username was shown.
(0050249)
hgbot (developer)
2012-06-28 12:34

Repository: erp/devel/pi
Changeset: 641721f42d6e7ba1cabf5f00d1685f86f9cd10dc
Author: Augusto Mauch <augusto.mauch <at> openbravo.com>
Date: Thu Jun 28 12:33:49 2012 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/641721f42d6e7ba1cabf5f00d1685f86f9cd10dc [^]

Fixes issue 20875: Audit sections no shows user name

The mapValueToDisplay function has been overwritten, so when an OBSearchTime has a displayField (in this case, createdBy$_identifier), it gets the value of that field instead of calling Super.mapValueToDisplay.

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/form/formitem/ob-formitem-search.js
---
(0050250)
AugustoMauch (developer)
2012-06-28 12:40

The changeset that caused the regression is yet to be found.
(0050261)
AugustoMauch (developer)
2012-06-28 17:00

Reopened just to change the Assigned To field
(0050288)
alostale (developer)
2012-06-29 15:14

code reviewed and verified on pi@34998fa2e20e
(0050291)
hudsonbot (developer)
2012-06-30 05:10

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/ce760b148e29 [^]

Maturity status: Test

- Issue History
Date Modified Username Field Change
2012-06-26 17:13 jonalegriaesarte New Issue
2012-06-26 17:13 jonalegriaesarte Assigned To => alostale
2012-06-26 17:13 jonalegriaesarte Modules => Core
2012-06-26 17:14 jonalegriaesarte Regression level => Production - QA Approved
2012-06-26 17:14 jonalegriaesarte Regression date => 2012-06-26
2012-06-26 17:23 jonalegriaesarte Regression date 2012-06-26 =>
2012-06-26 17:24 alostale Note Added: 0050102
2012-06-26 17:25 alostale Note Edited: 0050102 View Revisions
2012-06-26 17:30 alostale Note Edited: 0050102 View Revisions
2012-06-26 17:35 alostale Note Edited: 0050102 View Revisions
2012-06-26 19:36 shuehner Issue Monitored: shuehner
2012-06-26 23:08 AugustoMauch Relationship added related to 0019843
2012-06-26 23:09 AugustoMauch Note Added: 0050109
2012-06-28 12:34 hgbot Checkin
2012-06-28 12:34 hgbot Note Added: 0050249
2012-06-28 12:34 hgbot Status new => resolved
2012-06-28 12:34 hgbot Resolution open => fixed
2012-06-28 12:34 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/641721f42d6e7ba1cabf5f00d1685f86f9cd10dc [^]
2012-06-28 12:40 AugustoMauch Note Added: 0050250
2012-06-28 17:00 AugustoMauch Note Added: 0050261
2012-06-28 17:00 AugustoMauch Status resolved => new
2012-06-28 17:00 AugustoMauch Resolution fixed => open
2012-06-28 17:00 AugustoMauch Assigned To alostale => AugustoMauch
2012-06-28 17:01 AugustoMauch Status new => scheduled
2012-06-28 17:01 AugustoMauch fix_in_branch => pi
2012-06-28 17:01 AugustoMauch Status scheduled => resolved
2012-06-28 17:01 AugustoMauch Resolution open => fixed
2012-06-29 15:14 alostale Note Added: 0050288
2012-06-29 15:14 alostale Status resolved => closed
2012-06-29 15:14 alostale Fixed in Version => 3.0MP13
2012-06-30 05:10 hudsonbot Checkin
2012-06-30 05:10 hudsonbot Note Added: 0050291


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker